Subject: bug#64791: 30.0.50; [PATCH] Fix dired mismatch on some filenames

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Jul 2023 16:50:01 +0300

> Date: Sat, 22 Jul 2023 15:22:54 +0200
> From:  Manuel Giraud via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I have found a file on my disk named "31 octobre 2022 Paris.zip" that is
> currently mismatch by dired.  A 'n' from the previous line sets the
> cursor on the P of "Paris" and i'm not able to open or even edit the
> name of this file from dired.
> 
> I propose the attached patch that fixes this issue.

I'm not sure there can be the end to such fixes.  The real fix is to
use GNU 'ls' which has special support for Dired (or use ls-lisp.el).
I guess you don't have GNU 'ls', since you are on OpenBSD?